Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class SituationTypeImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.SituationTypeImpl

All Implemented Interfaces:
  java.lang.Cloneable, ISituationType, java.io.Serializable

Direct Known Subclasses:
  AvailableSituationImpl, ConfigureSituationImpl, ConnectSituationImpl, CreateSituationImpl, DependencySituationImpl, DestroySituationImpl, FeatureSituationImpl, OtherSituationImpl, ReportSituationImpl, RequestSituationImpl, StartSituationImpl, StopSituationImpl

public abstract class SituationTypeImpl
extends java.lang.Object
implements ISituationType, java.io.Serializable, java.lang.Cloneable

Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" The situationType specifies the type or category of the situation that caused the event to be reported. The categorization of situations facilitates the building of tools that focus on implementing the analysis and planning functions rather than on product-specific data formats. The data type for this property is a complex type. The situation types or categories are defined below. SituationType is an abstract element that is used to define all supported situation types (i.e. StartSituation, StopSituation, etc?). The simplest way to understand the usefulness of categorization is by providing a use case. For example, assume that a problem has been detected with component ?A?. The first step in the root cause analysis might be to check to see if ?x? was actually started, since it is known that ?A? has a dependency on ?x?. One approach to determine if ?x? is running is to check the log file for ?x? to see if it has started. The problem from a programmatic perspective is that there is not standard way to check the log files to see if ?x? has started. ?x? might log ?Component ?x? started? or it might say, ?Change server state from starting to running?. The reality is that both of these messages provide the same information, but they provide it using different terminology, making it difficult for a program to use. Simple checks like this would be much easier if all components reported, for example, that they ?started?. Writing code to check dependencies would be much easier and would be, largely, component independent. For example, if product ?A? had dependencies on ?x? and ?y?, the code to check the status of ?x? and the code to check the status of ?y? would be the same, in both cases, it would look for a ?started? message. This is a REQUIRED property, that once it set it is not mutable, that is it MUST NOT be changed. The following sections outline the well-known and acceptable values for the situationType.

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ISituationType`, Serialized Form

Field Summary
`protected java.lang.String` | `reasoningScope`

Constructor Summary
`protected` | `SituationTypeImpl()` No-argument protected constructor for SituationTypeImpl.

Method Summary
`java.lang.Object` | `clone()` Return a clone (copy by value) of this object.
`boolean` | `equals(java.lang.Object object)` Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.
`java.lang.String` | `getReasoningScope()` Returns the reasoningScope.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setReasoningScope(java.lang.String reasoningScope)` Sets the reasoningScope.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reasoningScope

    protected java.lang.String reasoningScope

Constructor Detail

### SituationTypeImpl

    protected SituationTypeImpl()

  No-argument protected constructor for SituationTypeImpl.

Method Detail

### getReasoningScope

    public java.lang.String getReasoningScope()

  Returns the reasoningScope. This property specifies the situation qualifiers that are representation of the parameters necessary to describe the situation. The reasoningScope is a string with the following set of values: START INITIATED RESTART INITIATED START COMPLETED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `getReasoningScope` in interface `ISituationType`
  Returns:
    String The returned reasoningScope.
  Since:
    1.0.1

### setReasoningScope

    public void setReasoningScope(java.lang.String reasoningScope)

  Sets the reasoningScope. This property specifies the situation qualifiers that are representation of the parameters necessary to describe the situation. The reasoningScope is a string with the following set of values: START INITIATED RESTART INITIATED START COMPLETED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `setReasoningScope` in interface `ISituationType`
  Parameters:
    `reasoningScope` - The reasoningScope to be set.
  Since:
    1.0.1

### equals

    public boolean equals(java.lang.Object object)

  Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - The `java.lang.Object` to be compared to this object.
  Returns:
    true if this object is the same as the parameter `object`, false otherwise.
  See Also:
    `Object.equals(java.lang.Object)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Return a clone (copy by value) of this object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object The clone of this object.
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `ISituationType`
  See Also:
    `ISituationType.init()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD